Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class AIPlatformValue

    java.lang.Object
      org.hyperic.hq.appdef.shared.AIAppdefResourceValue
          org.hyperic.hq.appdef.shared.AIPlatformValue

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PlatformResource

    public class AIPlatformValue

extends org.hyperic.hq.appdef.shared.AIAppdefResourceValue
implements Serializable

Value object for AIPlatform.

See Also:
  Serialized Form

Field Summary
`protected Collection` | `addedAIIpValues`
`protected Collection` | `addedAIServerValues`
`protected Collection` | `removedAIIpValues`
`protected Collection` | `removedAIServerValues`
`protected Collection` | `updatedAIIpValues`
`protected Collection` | `updatedAIServerValues`

Constructor Summary
`AIPlatformValue()`
`AIPlatformValue(AIPlatformValue otherValue)`
`AIPlatformValue(String agentToken, int queueStatus, byte[] customProperties, byte[] productConfig, byte[] controlConfig, byte[] measurementConfig, long diff, boolean ignored, String platformTypeName, Long lastApproved, String certdn, String fqdn, String name, String location, String description, Integer cpuCount, Integer id, Long mTime, Long cTime)`

Method Summary
`void` | `addAIIpValue(org.hyperic.hq.appdef.shared.AIIpValue added)`
`void` | `addAIServerValue(org.hyperic.hq.appdef.shared.AIServerValue added)`
`boolean` | `agentTokenHasBeenSet()`
`boolean` | `certdnHasBeenSet()`
`void` | `cleanAIIpValue()`
`void` | `cleanAIServerValue()`
`boolean` | `controlConfigHasBeenSet()`
`void` | `copyAIIpValuesFrom(AIPlatformValue from)`
`void` | `copyAIServerValuesFrom(AIPlatformValue from)`
`boolean` | `cpuCountHasBeenSet()`
`boolean` | `cTimeHasBeenSet()`
`boolean` | `customPropertiesHasBeenSet()`
`boolean` | `descriptionHasBeenSet()`
`boolean` | `diffHasBeenSet()`
`boolean` | `equals(Object other)`
`boolean` | `fqdnHasBeenSet()`
`Collection` | `getAddedAIIpValues()`
`Collection` | `getAddedAIServerValues()`
`String` | `getAgentToken()`
`org.hyperic.hq.appdef.shared.AIIpValue[]` | `getAIIpValues()`
`org.hyperic.hq.appdef.shared.AIServerValue[]` | `getAIServerValues()`
`String` | `getCertdn()`
`byte[]` | `getControlConfig()`
`Integer` | `getCpuCount()`
`Long` | `getCTime()`
`byte[]` | `getCustomProperties()`
`String` | `getDescription()`
`long` | `getDiff()`
`String` | `getFqdn()`
`Integer` | `getId()`
`boolean` | `getIgnored()`
`Long` | `getLastApproved()`
`String` | `getLocation()`
`byte[]` | `getMeasurementConfig()`
`Long` | `getMTime()`
`String` | `getName()`
`String` | `getPlatformTypeName()`
`byte[]` | `getProductConfig()`
`int` | `getQueueStatus()`
`Collection` | `getRemovedAIIpValues()`
`Collection` | `getRemovedAIServerValues()`
`Collection` | `getUpdatedAIIpValues()`
`Collection` | `getUpdatedAIServerValues()`
`int` | `hashCode()`
`protected boolean` | `hasIdentity()` A Value object have an identity if its attributes making its Primary Key has all been set.
`boolean` | `idHasBeenSet()`
`boolean` | `ignoredHasBeenSet()`
`boolean` | `isIdentical(Object other)`
`boolean` | `isPlatformDevice()`
`boolean` | `lastApprovedHasBeenSet()`
`boolean` | `locationHasBeenSet()`
`boolean` | `measurementConfigHasBeenSet()`
`boolean` | `mTimeHasBeenSet()`
`boolean` | `nameHasBeenSet()`
`boolean` | `platformTypeNameHasBeenSet()`
`boolean` | `productConfigHasBeenSet()`
`boolean` | `queueStatusHasBeenSet()`
`void` | `removeAIIpValue(org.hyperic.hq.appdef.shared.AIIpValue removed)`
`void` | `removeAIServerValue(org.hyperic.hq.appdef.shared.AIServerValue removed)`
`void` | `removeAllAIIpValues()`
`void` | `removeAllAIServerValues()`
`void` | `setAgentToken(String agentToken)`
`void` | `setCertdn(String certdn)`
`void` | `setControlConfig(byte[] controlConfig)`
`void` | `setCpuCount(Integer cpuCount)`
`void` | `setCTime(Long cTime)`
`void` | `setCustomProperties(byte[] customProperties)`
`void` | `setDescription(String description)`
`void` | `setDiff(long diff)`
`void` | `setFqdn(String fqdn)`
`void` | `setId(Integer id)`
`void` | `setIgnored(boolean ignored)`
`void` | `setLastApproved(Long lastApproved)`
`void` | `setLocation(String location)`
`void` | `setMeasurementConfig(byte[] measurementConfig)`
`void` | `setMTime(Long mTime)`
`void` | `setName(String name)`
`void` | `setPlatformTypeName(String platformTypeName)`
`void` | `setProductConfig(byte[] productConfig)`
`void` | `setQueueStatus(int queueStatus)`
`String` | `toString()`
`void` | `updateAIIpValue(org.hyperic.hq.appdef.shared.AIIpValue updated)`
`void` | `updateAIServerValue(org.hyperic.hq.appdef.shared.AIServerValue updated)`

Methods inherited from class org.hyperic.hq.appdef.shared.AIAppdefResourceValue
`getQueueStatusStr, isAutoApprove, setAutoApprove`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### addedAIIpValues

    protected Collection addedAIIpValues

### removedAIIpValues

    protected Collection removedAIIpValues

### updatedAIIpValues

    protected Collection updatedAIIpValues

### addedAIServerValues

    protected Collection addedAIServerValues

### removedAIServerValues

    protected Collection removedAIServerValues

### updatedAIServerValues

    protected Collection updatedAIServerValues

Constructor Detail

### AIPlatformValue

    public AIPlatformValue()

### AIPlatformValue

    public AIPlatformValue(String agentToken,
                           int queueStatus,
                           byte[] customProperties,
                           byte[] productConfig,
                           byte[] controlConfig,
                           byte[] measurementConfig,
                           long diff,
                           boolean ignored,
                           String platformTypeName,
                           Long lastApproved,
                           String certdn,
                           String fqdn,
                           String name,
                           String location,
                           String description,
                           Integer cpuCount,
                           Integer id,
                           Long mTime,
                           Long cTime)

### AIPlatformValue

    public AIPlatformValue(AIPlatformValue otherValue)

Method Detail

### getAgentToken

    public String getAgentToken()

### setAgentToken

    public void setAgentToken(String agentToken)

### agentTokenHasBeenSet

    public boolean agentTokenHasBeenSet()

### getQueueStatus

    public int getQueueStatus()

  Specified by:
    `getQueueStatus` in class `org.hyperic.hq.appdef.shared.AIAppdefResourceValue`

### setQueueStatus

    public void setQueueStatus(int queueStatus)

### queueStatusHasBeenSet

    public boolean queueStatusHasBeenSet()

### getCustomProperties

    public byte[] getCustomProperties()

### setCustomProperties

    public void setCustomProperties(byte[] customProperties)

### customPropertiesHasBeenSet

    public boolean customPropertiesHasBeenSet()

### getProductConfig

    public byte[] getProductConfig()

### setProductConfig

    public void setProductConfig(byte[] productConfig)

### productConfigHasBeenSet

    public boolean productConfigHasBeenSet()

### getControlConfig

    public byte[] getControlConfig()

### setControlConfig

    public void setControlConfig(byte[] controlConfig)

### controlConfigHasBeenSet

    public boolean controlConfigHasBeenSet()

### getMeasurementConfig

    public byte[] getMeasurementConfig()

### setMeasurementConfig

    public void setMeasurementConfig(byte[] measurementConfig)

### measurementConfigHasBeenSet

    public boolean measurementConfigHasBeenSet()

### getDiff

    public long getDiff()

### setDiff

    public void setDiff(long diff)

### diffHasBeenSet

    public boolean diffHasBeenSet()

### getIgnored

    public boolean getIgnored()

  Specified by:
    `getIgnored` in class `org.hyperic.hq.appdef.shared.AIAppdefResourceValue`

### setIgnored

    public void setIgnored(boolean ignored)

### ignoredHasBeenSet

    public boolean ignoredHasBeenSet()

### getPlatformTypeName

    public String getPlatformTypeName()

### setPlatformTypeName

    public void setPlatformTypeName(String platformTypeName)

### platformTypeNameHasBeenSet

    public boolean platformTypeNameHasBeenSet()

### getLastApproved

    public Long getLastApproved()

### setLastApproved

    public void setLastApproved(Long lastApproved)

### lastApprovedHasBeenSet

    public boolean lastApprovedHasBeenSet()

### getCertdn

    public String getCertdn()

### setCertdn

    public void setCertdn(String certdn)

### certdnHasBeenSet

    public boolean certdnHasBeenSet()

### getFqdn

    public String getFqdn()

### setFqdn

    public void setFqdn(String fqdn)

### fqdnHasBeenSet

    public boolean fqdnHasBeenSet()

### getName

    public String getName()

### setName

    public void setName(String name)

### nameHasBeenSet

    public boolean nameHasBeenSet()

### getLocation

    public String getLocation()

### setLocation

    public void setLocation(String location)

### locationHasBeenSet

    public boolean locationHasBeenSet()

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### descriptionHasBeenSet

    public boolean descriptionHasBeenSet()

### getCpuCount

    public Integer getCpuCount()

### setCpuCount

    public void setCpuCount(Integer cpuCount)

### cpuCountHasBeenSet

    public boolean cpuCountHasBeenSet()

### getId

    public Integer getId()

  Specified by:
    `getId` in class `org.hyperic.hq.appdef.shared.AIAppdefResourceValue`

### setId

    public void setId(Integer id)

### idHasBeenSet

    public boolean idHasBeenSet()

### getMTime

    public Long getMTime()

### setMTime

    public void setMTime(Long mTime)

### mTimeHasBeenSet

    public boolean mTimeHasBeenSet()

### getCTime

    public Long getCTime()

### setCTime

    public void setCTime(Long cTime)

### cTimeHasBeenSet

    public boolean cTimeHasBeenSet()

### getAddedAIIpValues

    public Collection getAddedAIIpValues()

### getRemovedAIIpValues

    public Collection getRemovedAIIpValues()

### getUpdatedAIIpValues

    public Collection getUpdatedAIIpValues()

### getAIIpValues

    public org.hyperic.hq.appdef.shared.AIIpValue[] getAIIpValues()

### addAIIpValue

    public void addAIIpValue(org.hyperic.hq.appdef.shared.AIIpValue added)

### removeAIIpValue

    public void removeAIIpValue(org.hyperic.hq.appdef.shared.AIIpValue removed)

### removeAllAIIpValues

    public void removeAllAIIpValues()

### updateAIIpValue

    public void updateAIIpValue(org.hyperic.hq.appdef.shared.AIIpValue updated)

### cleanAIIpValue

    public void cleanAIIpValue()

### copyAIIpValuesFrom

    public void copyAIIpValuesFrom(AIPlatformValue from)

### getAddedAIServerValues

    public Collection getAddedAIServerValues()

### getRemovedAIServerValues

    public Collection getRemovedAIServerValues()

### getUpdatedAIServerValues

    public Collection getUpdatedAIServerValues()

### getAIServerValues

    public org.hyperic.hq.appdef.shared.AIServerValue[] getAIServerValues()

### addAIServerValue

    public void addAIServerValue(org.hyperic.hq.appdef.shared.AIServerValue added)

### removeAIServerValue

    public void removeAIServerValue(org.hyperic.hq.appdef.shared.AIServerValue removed)

### removeAllAIServerValues

    public void removeAllAIServerValues()

### updateAIServerValue

    public void updateAIServerValue(org.hyperic.hq.appdef.shared.AIServerValue updated)

### cleanAIServerValue

    public void cleanAIServerValue()

### copyAIServerValuesFrom

    public void copyAIServerValuesFrom(AIPlatformValue from)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hasIdentity

    protected boolean hasIdentity()

  A Value object have an identity if its attributes making its Primary Key has all been set. One object without identity is never equal to any other object.

  Returns:
    true if this instance have an identity.

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### isIdentical

    public boolean isIdentical(Object other)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### isPlatformDevice

    public boolean isPlatformDevice()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.